> For the complete documentation index, see [llms.txt](https://docs.brutalscripts.com/site/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.brutalscripts.com/site/scripts/housing/exports-triggers.md).

# exports / triggers

## Client Exports / Triggers

<table><thead><tr><th width="386" align="center">Export</th><th width="355" align="center">Result</th></tr></thead><tbody><tr><td align="center">exports.brutal_housing:hasKeyToHouse(propertyID)</td><td align="center">Returns wether the player have key to the property or not.</td></tr><tr><td align="center">exports.brutal_housing:getPropertyID()</td><td align="center">Returns the property id the player in. (Like "H245" or "G34" or nil)</td></tr><tr><td align="center">exports.brutal_housing:spawnInFavProperty()</td><td align="center">Spawns the player in their favorite property. Can be used after log in for example. Returns true or false whether it was successful or not. </td></tr><tr><td align="center">exports.brutal_housing:possibleToAddMLODoorlock(propertyID, coords)</td><td align="center">Returns true or false wether the coord is inside of the property's polyzone or not.</td></tr><tr><td align="center">exports.brutal_housing:getUserHouses()</td><td align="center">List of houses owned by the user. (for example: "H245")</td></tr><tr><td align="center">TriggerEvent("brutal_housing:client:addFurniture", PropertyID, Propname)</td><td align="center">Add a furniture item inside the specified property.<br><br><strong>PropertyID</strong> – The unique identifier of the property (e.g. "H245"). <br><strong>Propname</strong> – The prop model name of the furniture item to spawn (e.g. "prop_yacht_seat_02").</td></tr></tbody></table>

## Server Triggers

<table><thead><tr><th width="452" align="center">Export</th><th align="center">Result</th></tr></thead><tbody><tr><td align="center">TriggerEvent('brutal_housing:server:hasKeyToHouse', playerId, propertyID, function(hasKey)<br>print('haskey:', hasKey)<br>end)</td><td align="center">Returs wether the player have key to the house or not.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.brutalscripts.com/site/scripts/housing/exports-triggers.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
